
package de.ivu.elect.business.dokumente.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.dokumente.entity.DokumentVorlage;
import de.ivu.elect.business.dokumente.boundary.DokumentVorlageDAO;
import de.ivu.elect.business.dokumente.boundary.DokumentVorlageCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractDokumentVorlageCreate {

  @Inject
  protected DokumentVorlageDAO dao;

    @Inject
    transient Event<DokumentVorlageCreateEvent> createEvent;



  


public void save(DokumentVorlage entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(DokumentVorlage entity) {
        createEvent.fire(new DokumentVorlageCreateEvent(entity));
  }

}
